.page-enter-active, .page-leave-active {
    transition: opacity .2s;
}
.page-enter, .page-leave-to {
    opacity: 0;
}
body {
    display: flex;
    flex-direction: column; /* creates rows out of the elements main and footer */
    height: 100vh;
    margin:0;
}

main {
    flex: 1 0 auto; /* allows the content to grow but not shrink */
}

footer {
    background: orange;
}

.page-enter-active, .page-leave-active {
    transition: opacity .5s
}
.page-enter, .page-leave-active {
    opacity: 0
}

.bounce-enter-active {
    animation: bounce-in .8s;
}
.bounce-leave-active {
    animation: bounce-out .5s;
}
@keyframes bounce-in {
    0% { transform: scale(0) }
    50% { transform: scale(1.5) }
    100% { transform: scale(1) }
}
@keyframes bounce-out {
    0% { transform: scale(1) }
    50% { transform: scale(1.5) }
    100% { transform: scale(0) }
}

.slide-left-enter,
.slide-right-leave-active {
    opacity: 0;
    transform: translate(30px, 0);
}
.slide-left-leave-active,
.slide-right-enter {
    opacity: 0;
    transform: translate(-30px, 0);
}